Bug 523896 - Abiword crash trying to convert to pdf
Summary: Abiword crash trying to convert to pdf
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: abiword
Version: 11
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Marc Maurer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-17 05:24 UTC by Adam Miller
Modified: 2010-06-28 14:41 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-28 14:41:55 UTC


Attachments (Terms of Use)

Description Adam Miller 2009-09-17 05:24:09 UTC
Description of problem:
Abiword crashes when trying to save as pdf.

Version-Release number of selected component (if applicable):
abiword-2.6.8-2.fc11.i586


How reproducible:
Everytime

Steps to Reproduce:
1. Have a .odt formatted file with images inserted
2. Save as .pdf
  
Actual results:
Crash

Expected results:
A .pdf file

Additional info:
[adam@acerdora ~]$ abiword 

** (abiword:3392): WARNING **: IPP request failed with status 1030

** (abiword:3392): WARNING **: IPP request failed with status 1030
*** glibc detected *** abiword: free(): invalid pointer: 0x0193856d ***
======= Backtrace: =========
/lib/libc.so.6[0xf8d2a1]
/lib/libdl.so.2[0x38c058]
/lib/libdl.so.2(dlopen+0x41)[0x38bb61]
/lib/libgmodule-2.0.so.0(g_module_open+0x205)[0xac15d5]
/usr/lib/libgnomeprint-2-2.so.0(gpa_printer_list_load+0x5b1)[0x9486c1]
/usr/lib/libgnomeprint-2-2.so.0(gpa_init+0xef)[0x948f8f]
/usr/lib/libgnomeprint-2-2.so.0(gpa_config_new+0x1f)[0x9495ff]
/usr/lib/libgnomeprint-2-2.so.0(gnome_print_config_default+0x33)[0x914c63]
/usr/lib/libgnomeprint-2-2.so.0[0x91d8d5]
/lib/libgobject-2.0.so.0[0x472c26]
/lib/libgobject-2.0.so.0(g_object_newv+0x30c)[0x473d2c]
/lib/libgobject-2.0.so.0(g_object_new_valist+0x321)[0x474991]
/lib/libgobject-2.0.so.0(g_object_new+0x6e)[0x474aae]
/usr/lib/libgnomeprint-2-2.so.0(gnome_print_job_new+0x38)[0x91d528]
/usr/lib/libabiword-2.6.so(_ZN10IE_Exp_PDF14_writeDocumentEv+0x245)[0x5db75c5]
/usr/lib/libabiword-2.6.so(_ZN6IE_Exp9writeFileEPKc+0x7d)[0x5d3b04d]
/usr/lib/libabiword-2.6.so(_ZN11PD_Document7_saveAsEPKcibS1_+0xa1)[0x5f10c21]
/usr/lib/libabiword-2.6.so(_ZN11AD_Document6saveAsEPKcibS1_+0x2f)[0x5db9d8f]
/usr/lib/libabiword-2.6.so(_ZN7FV_View9cmdSaveAsEPKcib+0x6a)[0x5eeb83a]
/usr/lib/libabiword-2.6.so[0x5c91dc8]
/usr/lib/libabiword-2.6.so(_ZNK13EV_EditMethod2FnEP7AV_ViewP21EV_EditMethodCallData+0x25)[0x5e33d45]
/usr/lib/libabiword-2.6.so(_ZN7EV_Menu16invokeMenuMethodEP7AV_ViewP13EV_EditMethodRK9UT_String+0x52)[0x5e35642]
/usr/lib/libabiword-2.6.so(_ZN11EV_UnixMenu9menuEventEi+0xab)[0x5e3b04b]
/usr/lib/libabiword-2.6.so(_ZN3_wd12s_onActivateEP10_GtkWidgetPv+0x2a)[0x5e3d88a]
/lib/libgobject-2.0.so.0(g_cclosure_marshal_VOID__VOID+0x7c)[0x47af2c]
/lib/libgobject-2.0.so.0(g_closure_invoke+0x1b2)[0x46d352]
/lib/libgobject-2.0.so.0[0x482cf0]
/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x7bd)[0x48405d]
/lib/libgobject-2.0.so.0(g_signal_emit+0x26)[0x4844e6]
/usr/lib/libgtk-x11-2.0.so.0(gtk_widget_activate+0x87)[0xd5be17]
/usr/lib/libgtk-x11-2.0.so.0(gtk_menu_shell_activate_item+0x120)[0xc32900]
/usr/lib/libgtk-x11-2.0.so.0[0xc3490b]
/usr/lib/libgtk-x11-2.0.so.0[0xc28466]
/usr/lib/libgtk-x11-2.0.so.0[0xc20cc8]
/lib/libgobject-2.0.so.0[0x46b9b9]
/lib/libgobject-2.0.so.0(g_closure_invoke+0x1b2)[0x46d352]
/lib/libgobject-2.0.so.0[0x4829e6]
/lib/libgobject-2.0.so.0(g_signal_emit_valist+0x648)[0x483ee8]
/lib/libgobject-2.0.so.0(g_signal_emit+0x26)[0x4844e6]
/usr/lib/libgtk-x11-2.0.so.0[0xd54eee]
/usr/lib/libgtk-x11-2.0.so.0(gtk_propagate_event+0xf8)[0xc18128]
/usr/lib/libgtk-x11-2.0.so.0(gtk_main_do_event+0x22a)[0xc195ea]
/usr/lib/libgdk-x11-2.0.so.0[0x60192a]
/lib/libglib-2.0.so.0(g_main_context_dispatch+0x1f8)[0x68c308]
/lib/libglib-2.0.so.0[0x68f9e0]
/lib/libglib-2.0.so.0(g_main_loop_run+0x1bf)[0x68fe4f]
/usr/lib/libgtk-x11-2.0.so.0(gtk_main+0xb9)[0xc19c09]
/usr/lib/libabiword-2.6.so(_ZN10AP_UnixApp4mainEPKciPS1_+0x3dd)[0x5cf131d]
abiword(main+0x31)[0x8048951]
/lib/libc.so.6(__libc_start_main+0xe6)[0xf33a66]
abiword[0x8048881]
======= Memory map: ========
00110000-00126000 r-xp 00000000 fd:00 2753       /usr/lib/libglade-2.0.so.0.0.7
00126000-00127000 rw-p 00016000 fd:00 2753       /usr/lib/libglade-2.0.so.0.0.7
00127000-0019f000 r-xp 00000000 fd:00 107172     /lib/libgio-2.0.so.0.2000.5
0019f000-001a1000 rw-p 00077000 fd:00 107172     /lib/libgio-2.0.so.0.2000.5
001a1000-001bd000 r-xp 00000000 fd:00 81422      /usr/lib/libgdk_pixbuf-2.0.so.0.1600.6
001bd000-001be000 rw-p 0001c000 fd:00 81422      /usr/lib/libgdk_pixbuf-2.0.so.0.1600.6
001be000-001d0000 r-xp 00000000 fd:00 75066      /lib/libz.so.1.2.3
001d0000-001d1000 rw-p 00011000 fd:00 75066      /lib/libz.so.1.2.3
001d1000-001d5000 r-xp 00000000 fd:00 107180     /lib/libgthread-2.0.so.0.2000.5
001d5000-001d6000 rw-p 00003000 fd:00 107180     /lib/libgthread-2.0.so.0.2000.5
001d6000-001dd000 r-xp 00000000 fd:00 74191      /lib/librt-2.10.1.so
001dd000-001de000 r--p 00006000 fd:00 74191      /lib/librt-2.10.1.so
001de000-001df000 rw-p 00007000 fd:00 74191      /lib/librt-2.10.1.so
001df000-001e0000 r-xp 00000000 fd:00 79599      /usr/lib/abiword-2.6/plugins/libAbiXHTML.so
001e0000-001e1000 rw-p 00000000 fd:00 79599      /usr/lib/abiword-2.6/plugins/libAbiXHTML.so
001e1000-0030c000 r-xp 00000000 fd:00 75070      /usr/lib/libX11.so.6.2.0
0030c000-00310000 rw-p 0012a000 fd:00 75070      /usr/lib/libX11.so.6.2.0
00310000-00389000 r-xp 00000000 fd:00 2699       /usr/lib/libcairo.so.2.10800.8
00389000-0038b000 rw-p 00079000 fd:00 2699       /usr/lib/libcairo.so.2.10800.8
0038b000-0038e000 r-xp 00000000 fd:00 74184      /lib/libdl-2.10.1.so
0038e000-0038f000 r--p 00002000 fd:00 74184      /lib/libdl-2.10.1.so
0038f000-00390000 rw-p 00003000 fd:00 74184      /lib/libdl-2.10.1.so
00390000-00399000 r-xp 00000000 fd:00 75078      /usr/lib/libXi.so.6.0.0
00399000-0039a000 rw-p 00008000 fd:00 75078      /usr/lib/libXi.so.6.0.0
0039a000-0039c000 r-xp 00000000 fd:00 75082      /usr/lib/libXcomposite.so.1.0.0
0039c000-0039d000 rw-p 00001000 fd:00 75082      /usr/lib/libXcomposite.so.1.0.0
0039d000-0039e000 r-xp 00000000 fd:00 39771      /usr/lib/gtk-2.0/2.10.0/loaders/svg_loader.so
0039e000-0039f000 rw-p 00001000 fd:00 39771      /usr/lib/gtk-2.0/2.10.0/loaders/svg_loader.so
0039f000-0042d000 r-xp 00000000 fd:00 75063      /usr/lib/libfreetype.so.6.3.20
0042d000-00431000 rw-p 0008e000 fd:00 75063      /usr/lib/libfreetype.so.6.3.20
0043100Aborted
[adam@acerdora ~]$

Comment 1 Adam Miller 2009-09-17 05:31:15 UTC
I was going to upload a strace on abiword during the crash but that resulted in a 163M text file so I think I will just post the bits at the end that appear relevant:

read(3, 0x86b0598, 4096)                = -1 EAGAIN (Resource temporarily unavailable)
gettimeofday({1253164986, 409099}, NULL) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}, {fd=8, events=POLLIN|POLLPRI}, {fd=12, events=POLLIN|POLLPRI}, {fd=13, events=POLLIN|POLLPRI}, {fd=14, events=POLLIN|POLLPRI}, {fd=10, events=POLLIN|POLLPRI}, {fd=17, events=POLLIN}, {fd=15, events=POLLIN}, {fd=11, events=POLLIN}, {fd=16, events=POLLIN}], 11, 0) = 1 ([{fd=16, revents=POLLIN}])
ioctl(16, FIONREAD, [32])               = 0
gettimeofday({1253164986, 409392}, NULL) = 0
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{"+\1\1\0"..., 4}, {NULL, 0}, {""..., 0}], 3) = 4
poll([{fd=3, events=POLLIN}], 1, -1)    = 1 ([{fd=3, revents=POLLIN}])
read(3, "\1\2\tI\0\0\0\0\247\6\240\3\0\0\0\0?\0\0\0\10\250 \10h\v]\n\0\0\0\0"..., 4096) = 32
read(3, 0x86b0598, 4096)                = -1 EAGAIN (Resource temporarily unavailable)
futex(0xb1700e74, FUTEX_WAKE_OP_PRIVATE, 1, 1, 0xb1700e70, {FUTEX_OP_SET, 0, FUTEX_OP_CMP_GT, 1}) = 1
futex(0x8c78ae0, FUTEX_WAKE_PRIVATE, 1) = 1
stat64("/home/adam/schoolShit/cs566_databases/assignment1/assignment1.pdf", 0xbfc6e06c) = -1 ENOENT (No such file or directory)
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{"\n\1\2\0\246\6\240\3\31\0\v\0\247\1\0\0\0\0\30\0\22\0\0\0\247\1\0\0\246\6\240\3\0"..., 60}, {NULL, 0}, {""..., 0}], 3) = 60
poll([{fd=3, events=POLLIN}], 1, -1)    = 1 ([{fd=3, revents=POLLIN}])
read(3, "\22\t\nI\246\6\240\3\246\6\240\3\0\245\365\277z\267\10\10\254\245\365\277\246\6\240\3h\v]\n\n"..., 4096) = 224
read(3, 0x86b0598, 4096)                = -1 EAGAIN (Resource temporarily unavailable)
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{"(\1\4\0\3\0\240\3\247\1\0\0\0\0\0\0"..., 16}, {NULL, 0}, {""..., 0}], 3) = 16
poll([{fd=3, events=POLLIN}], 1, -1)    = 1 ([{fd=3, revents=POLLIN}])
read(3, "\1\1\rI\0\0\0\0:\22\340\2\10\0I\0h\v]\n\0\0\0\0h\v]\n\0\0\0\0"..., 4096) = 32
read(3, 0x86b0598, 4096)                = -1 EAGAIN (Resource temporarily unavailable)
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{"(\1\4\0\3\0\240\3\247\1\0\0\0\0\0\0"..., 16}, {NULL, 0}, {""..., 0}], 3) = 16
poll([{fd=3, events=POLLIN}], 1, -1)    = 1 ([{fd=3, revents=POLLIN}])
read(3, "\1\1\16I\0\0\0\0:\22\340\2\10\0I\0h\v]\n\0\0\0\0h\v]\n\0\0\0\0"..., 4096) = 32
read(3, 0x86b0598, 4096)                = -1 EAGAIN (Resource temporarily unavailable)
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{"\16\1\2\0\3\0\240\3"..., 8}, {NULL, 0}, {""..., 0}], 3) = 8
poll([{fd=3, events=POLLIN}], 1, -1)    = 1 ([{fd=3, revents=POLLIN}])
read(3, "\1\30\17I\0\0\0\0\247\1\0\0\10\0I\0 \3X\2\0\0\0\0\10\250 \10h\v]\n"..., 4096) = 32
read(3, 0x86b0598, 4096)                = -1 EAGAIN (Resource temporarily unavailable)
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{"(\1\4\0\3\0\240\3\247\1\0\0\0\0\0\0"..., 16}, {NULL, 0}, {""..., 0}], 3) = 16
poll([{fd=3, events=POLLIN}], 1, -1)    = 1 ([{fd=3, revents=POLLIN}])
read(3, "\1\1\20I\0\0\0\0:\22\340\2\10\0I\0h\v]\n\0\0\0\0h\v]\n\0\0\0\0"..., 4096) = 32
read(3, 0x86b0598, 4096)                = -1 EAGAIN (Resource temporarily unavailable)
poll([{fd=3, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=3, revents=POLLOUT}])
writev(3, [{"(\1\4\0\3\0\240\3\247\1\0\0\0\0\0\0"..., 16}, {NULL, 0}, {""..., 0}], 3) = 16
poll([{fd=3, events=POLLIN}], 1, -1)    = 1 ([{fd=3, revents=POLLIN}])
read(3, "\1\1\21I\0\0\0\0:\22\340\2\10\0I\0h\v]\n\0\0\0\0h\v]\n\0\0\0\0"..., 4096) = 32
read(3, 0x86b0598, 4096)                = -1 EAGAIN (Resource temporarily unavailable)
open("/home/adam/.config/gtk-2.0/gtkfilechooser.ini", O_RDONLY|O_LARGEFILE) = 19
fstat64(19, {st_mode=S_IFREG|0664, st_size=166, ...}) = 0
read(19, "\n[Filechooser Settings]\nLocationM"..., 4096) = 166
read(19, ""..., 4096)                   = 0
close(19)                               = 0
gettimeofday({1253164986, 418840}, NULL) = 0
open("/home/adam/.config/gtk-2.0/gtkfilechooser.ini.TU6L0U", O_RDWR|O_CREAT|O_EXCL|O_LARGEFILE, 0666) = 19
fcntl64(19, F_GETFL)                    = 0x8002 (flags O_RDWR|O_LARGEFILE)
fstat64(19, {st_mode=S_IFREG|0664, st_size=0, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb8062000
_llseek(19, 0, [0], SEEK_CUR)           = 0
write(19, "\n[Filechooser Settings]\nLocationM"..., 166) = 166
lstat64("/home/adam/.config/gtk-2.0/gtkfilechooser.ini", {st_mode=S_IFREG|0664, st_size=166, ...}) = 0
fsync(19)                               = 0
close(19)                               = 0
munmap(0xb8062000, 4096)                = 0
rename("/home/adam/.config/gtk-2.0/gtkfilechooser.ini.TU6L0U", "/home/adam/.config/gtk-2.0/gtkfilechooser.ini") = 0
gettimeofday({1253164986, 426206}, NULL) = 0
open("/home/adam/.config/gtk-2.0/gtkfilechooser.ini", O_RDONLY|O_LARGEFILE) = 19
fstat64(19, {st_mode=S_IFREG|0664, st_size=166, ...}) = 0
read(19, "\n[Filechooser Settings]\nLocationM"..., 4096) = 166
read(19, ""..., 4096)                   = 0
close(19)                               = 0
futex(0xb1700e74, FUTEX_WAKE_OP_PRIVATE, 1, 1, 0xb1700e70, {FUTEX_OP_SET, 0, FUTEX_OP_CMP_GT, 1}) = 1
futex(0x8c78ae0, FUTEX_WAKE_PRIVATE, 1) = 1
lstat64("/", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
gettimeofday({1253164986, 428100}, NULL) = 0
lstat64("/usr/share/icons/Tango/16x16/devices/drive-harddisk.png", {st_mode=S_IFREG|0644, st_size=603, ...}) = 0
gettimeofday({1253164986, 428401}, NULL) = 0
writev(11, [{"l\1\1\1w\0\0\0!\0\0\0\177\0\0\0\1\1o\0\25\0\0\0/org/free"..., 144}, {"r\0\0\0type='signal',sender='org.fre"..., 119}], 2) = 263
writev(11, [{"l\1\1\1\211\0\0\0\"\0\0\0\177\0\0\0\1\1o\0\25\0\0\0/org/free"..., 144}, {"\204\0\0\0type='signal',sender='org.fre"..., 137}], 2) = 281
writev(11, [{"l\1\1\1\211\0\0\0#\0\0\0\177\0\0\0\1\1o\0\25\0\0\0/org/free"..., 144}, {"\204\0\0\0type='signal',sender='org.fre"..., 137}], 2) = 281
writev(11, [{"l\1\1\1\205\0\0\0$\0\0\0\177\0\0\0\1\1o\0\25\0\0\0/org/free"..., 144}, {"\200\0\0\0type='signal',sender='org.fre"..., 133}], 2) = 277
writev(11, [{"l\1\1\1\203\0\0\0%\0\0\0\177\0\0\0\1\1o\0\25\0\0\0/org/free"..., 144}, {"~\0\0\0type='signal',sender='org.fre"..., 131}], 2) = 275
writev(11, [{"l\1\1\1\210\0\0\0&\0\0\0\177\0\0\0\1\1o\0\25\0\0\0/org/free"..., 144}, {"\203\0\0\0type='signal',sender='org.fre"..., 136}], 2) = 280
gettimeofday({1253164986, 434073}, NULL) = 0
gettimeofday({1253164986, 435626}, NULL) = 0
gettimeofday({1253164986, 437672}, NULL) = 0
gettimeofday({1253164986, 438795}, NULL) = 0
gettimeofday({1253164986, 439774}, NULL) = 0
gettimeofday({1253164986, 440700}, NULL) = 0
readlink("/home/adam/schoolShit/cs566_databases/assignment1/assignment1.pdf", 0x9893368, 256) = -1 ENOENT (No such file or directory)
stat64("/home/adam/schoolShit/cs566_databases/assignment1/assignment1.pdf", 0xbfc6e440) = -1 ENOENT (No such file or directory)
getuid32()                              = 500
stat64("/home/adam/schoolShit/cs566_databases/assignment1", {st_mode=S_IFDIR|0775, st_size=4096, ...}) = 0
getgid32()                              = 500
umask(077)                              = 02
gettimeofday({1253164986, 441438}, NULL) = 0
open("/home/adam/schoolShit/cs566_databases/assignment1/.gsf-save-8ZYL0U", O_RDWR|O_CREAT|O_EXCL|O_LARGEFILE, 0600) = 19
umask(02)                               = 077
fcntl64(19, F_GETFL)                    = 0x8002 (flags O_RDWR|O_LARGEFILE)
fstat64(19, {st_mode=S_IFREG|0600, st_size=0, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb8062000
_llseek(19, 0, [0], SEEK_CUR)           = 0
open("/usr/share/locale/en_US.UTF-8/LC_MESSAGES/libgnomeprint-2.2.mo", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/share/locale/en_US.utf8/LC_MESSAGES/libgnomeprint-2.2.mo", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/share/locale/en_US/LC_MESSAGES/libgnomeprint-2.2.mo", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/share/locale/en.UTF-8/LC_MESSAGES/libgnomeprint-2.2.mo", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/share/locale/en.utf8/LC_MESSAGES/libgnomeprint-2.2.mo", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/usr/share/locale/en/LC_MESSAGES/libgnomeprint-2.2.mo", O_RDONLY) = -1 ENOENT (No such file or directory)
stat64("/usr/share/libgnomeprint/2.18.6/globals.xml", {st_mode=S_IFREG|0644, st_size=220342, ...}) = 0
stat64("/usr/share/libgnomeprint/2.18.6/globals.xml", {st_mode=S_IFREG|0644, st_size=220342, ...}) = 0
stat64("/usr/share/libgnomeprint/2.18.6/globals.xml", {st_mode=S_IFREG|0644, st_size=220342, ...}) = 0
open("/usr/share/libgnomeprint/2.18.6/globals.xml", O_RDONLY) = 20
fstat64(20, {st_mode=S_IFREG|0644, st_size=220342, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb8061000
read(20, "<?xml version=\"1.0\" encoding=\"UTF"..., 16384) = 16384
_llseek(20, 0, [16384], SEEK_CUR)       = 0
_llseek(20, 0, [0], SEEK_SET)           = 0
read(20, "<?xml version=\"1.0\" encoding=\"UTF"..., 4096) = 4096
read(20, ":lang=\"th\">\340\271\201\340\270\231\340\270\247\340\270\225\340\270\261\340\271\211\340\270\207<"..., 4096) = 4096
read(20, "    <Name xml:lang=\"sr\">\320\237\320\265\321\230\320\267\320"..., 4096) = 4096
read(20, "ondersteboven</Name>\n            "..., 4096) = 4096
read(20, "ndlagssni\303\260 \303\241 hvolfi</Name>\n    "..., 4096) = 4096
read(20, "=\"cy\">Plaen</Name>\n            <N"..., 4096) = 4096
read(20, " <Name xml:lang=\"bn_IN\">\340\247\247-\340\246\237\340\246"..., 4096) = 4096
read(20, "\"zh_HK\">2 \351\240\201\345\220\210\344\275\265\347\202\272 1 \351\240\201</Nam"..., 4096) = 4096
read(20, ":lang=\"ru\">4 \321\201\321\202\321\200\320\260\320\275\320\270\321\206\321\213 \320\262 "..., 4096) = 4096
read(20, "ng=\"nb\">Delt</Name>\n            <"..., 4096) = 4096
read(20, "\n            <Name xml:lang=\"lv\">"..., 4096) = 4096
read(20, " xml:lang=\"lt\">A4</Name>\n        "..., 4096) = 4096
read(20, "<Name xml:lang=\"ne\">\340\244\257\340\245\202\340\244\217\340\244\270 "..., 4096) = 4096
read(20, ">\n          <Name xml:lang=\"nn\">U"..., 4096) = 4096
read(20, "g=\"nb\">US Executive</Name>\n      "..., 4096) = 4096
read(20, "\320\264/\321\205</Name>\n          <Name xml:"..., 4096) = 4096
read(20, " xml:lang=\"pt\">A0</Name>\n        "..., 4096) = 4096
read(20, "zh_CN\">A1</Name>\n          <Name "..., 4096) = 4096
read(20, "<Name xml:lang=\"dz\">\340\275\250\340\275\272\340\274\213\340\274\243\340"..., 4096) = 4096
read(20, "Name xml:lang=\"ja\">A5\347\211\210</Name>\n "..., 4096) = 4096
read(20, ">A6</Name>\n          <Name xml:la"..., 4096) = 4096
read(20, "</Name>\n\t\t<Key Value=\"74mm\" Id=\"W"..., 4096) = 4096
read(20, "e xml:lang=\"en_GB\">A9</Name>\n    "..., 4096) = 4096
read(20, "\">A10</Name>\n          <Name xml:"..., 4096) = 4096
read(20, "        <Name xml:lang=\"si\">B0</N"..., 4096) = 4096
read(20, "      <Name>B2</Name>\n          <"..., 4096) = 4096
read(20, "ame>\n          <Name xml:lang=\"eu"..., 4096) = 4096
read(20, "          <Name xml:lang=\"ml\">B4<"..., 4096) = 4096
read(20, " <Name xml:lang=\"sr\">\320\2215</Name>\n "..., 4096) = 4096
read(20, "e\">B7</Name>\n          <Name xml:"..., 4096) = 4096
read(20, "     <Name xml:lang=\"ga\">B8</Name"..., 4096) = 4096
read(20, "ame xml:lang=\"nb\">B9</Name>\n     "..., 4096) = 4096
read(20, "\"sv\">B10</Name>\n          <Name x"..., 4096) = 4096
read(20, "=\"bn_IN\">C1</Name>\n          <Nam"..., 4096) = 4096
read(20, "<Name xml:lang=\"hr\">C2</Name>\n   "..., 4096) = 4096
read(20, "lang=\"pa\">C3</Name>\n          <Na"..., 4096) = 4096
read(20, "ml:lang=\"xh\">C4</Name>\n          "..., 4096) = 4096
read(20, "\340\275\246\340\275\262\340\274\213\340\274\246\340\274\215</Name>\n          "..., 4096) = 4096
read(20, "xml:lang=\"ka\">C7</Name>\n         "..., 4096) = 4096
read(20, "ru\">C8</Name>\n          <Name xml"..., 4096) = 4096
read(20, "    <Name xml:lang=\"ar\">C10</Name"..., 4096) = 4096
read(20, "ang=\"es\">1/3 A4</Name>\n          "..., 4096) = 4096
read(20, ":lang=\"id\">1/4 A4</Name>\n        "..., 4096) = 4096
read(20, "<Name xml:lang=\"ms\">1/8 A4</Name>"..., 4096) = 4096
read(20, "          <Name xml:lang=\"ru\">1/4"..., 4096) = 4096
read(20, "Name>\n          <Name xml:lang=\"v"..., 4096) = 4096
read(20, "walpeure DL</Name>\n          <Nam"..., 4096) = 4096
read(20, "me xml:lang=\"tr\">C6/C5 Zarf</Name"..., 4096) = 4096
read(20, "\21510</Name>\n          <Name xml:la"..., 4096) = 4096
read(20, "me>\n          <Name xml:lang=\"te\""..., 4096) = 4096
read(20, "t</Name>\n          <Name xml:lang"..., 4096) = 4096
read(20, "\267\220\340\266\273\340\267\224\340\266\253\340\267\224</Name>\n          <"..., 4096) = 4096
read(20, "\340\244\253\340\244\277\340\244\260\340\244\243\340\245\207</Name>\n          "..., 4096) = 4096
read(20, "       <Name xml:lang=\"hi\">270 \340\244"..., 4096) = 3254
read(20, ""..., 4096)                   = 0
read(20, ""..., 4096)                   = 0
close(20)                               = 0
munmap(0xb8061000, 4096)                = 0
open("/usr/share/libgnomeprint/2.18.6/printers", O_RDONLY|O_NONBLOCK|O_LARGEFILE|O_DIRECTORY|O_CLOEXEC) = 20
getdents64(20, /* 5 entries */, 32768)  = 152
stat64("/usr/share/libgnomeprint/2.18.6/printers/GENERIC.xml", {st_mode=S_IFREG|0644, st_size=4872, ...}) = 0
stat64("/usr/share/libgnomeprint/2.18.6/printers/GENERIC.xml", {st_mode=S_IFREG|0644, st_size=4872, ...}) = 0
stat64("/usr/share/libgnomeprint/2.18.6/printers/GENERIC.xml", {st_mode=S_IFREG|0644, st_size=4872, ...}) = 0
open("/usr/share/libgnomeprint/2.18.6/printers/GENERIC.xml", O_RDONLY) = 21
fstat64(21, {st_mode=S_IFREG|0644, st_size=4872, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb8061000
read(21, "<?xml version=\"1.0\" encoding=\"UTF"..., 16384) = 4872
read(21, ""..., 8192)                   = 0
_llseek(21, 0, [4872], SEEK_CUR)        = 0
_llseek(21, 0, [0], SEEK_SET)           = 0
read(21, "<?xml version=\"1.0\" encoding=\"UTF"..., 4096) = 4096
read(21, "\263\320\260\320\273\321\214\320\275\320\270\320\271 Postscript</Name>\n "..., 4096) = 776
read(21, ""..., 4096)                   = 0
read(21, ""..., 4096)                   = 0
close(21)                               = 0
munmap(0xb8061000, 4096)                = 0
stat64("/usr/share/libgnomeprint/2.18.6/models/GNOME-GENERIC-PS.xml", {st_mode=S_IFREG|0644, st_size=2475, ...}) = 0
stat64("/usr/share/libgnomeprint/2.18.6/models/GNOME-GENERIC-PS.xml", {st_mode=S_IFREG|0644, st_size=2475, ...}) = 0
stat64("/usr/share/libgnomeprint/2.18.6/models/GNOME-GENERIC-PS.xml", {st_mode=S_IFREG|0644, st_size=2475, ...}) = 0
stat64("/usr/share/libgnomeprint/2.18.6/models/GNOME-GENERIC-PS.xml", {st_mode=S_IFREG|0644, st_size=2475, ...}) = 0
open("/usr/share/libgnomeprint/2.18.6/models/GNOME-GENERIC-PS.xml", O_RDONLY) = 21
fstat64(21, {st_mode=S_IFREG|0644, st_size=2475, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb8061000
read(21, "<?xml version=\"1.0\" encoding=\"UTF"..., 16384) = 2475
read(21, ""..., 12288)                  = 0
_llseek(21, 0, [2475], SEEK_CUR)        = 0
_llseek(21, 0, [0], SEEK_SET)           = 0
read(21, "<?xml version=\"1.0\" encoding=\"UTF"..., 4096) = 2475
read(21, ""..., 4096)                   = 0
read(21, ""..., 4096)                   = 0
close(21)                               = 0
munmap(0xb8061000, 4096)                = 0
stat64("/usr/share/libgnomeprint/2.18.6/printers/PDF-WRITER.xml", {st_mode=S_IFREG|0644, st_size=5248, ...}) = 0
stat64("/usr/share/libgnomeprint/2.18.6/printers/PDF-WRITER.xml", {st_mode=S_IFREG|0644, st_size=5248, ...}) = 0
stat64("/usr/share/libgnomeprint/2.18.6/printers/PDF-WRITER.xml", {st_mode=S_IFREG|0644, st_size=5248, ...}) = 0
open("/usr/share/libgnomeprint/2.18.6/printers/PDF-WRITER.xml", O_RDONLY) = 21
fstat64(21, {st_mode=S_IFREG|0644, st_size=5248, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb8061000
read(21, "<?xml version=\"1.0\" encoding=\"UTF"..., 16384) = 5248
read(21, ""..., 8192)                   = 0
_llseek(21, 0, [5248], SEEK_CUR)        = 0
_llseek(21, 0, [0], SEEK_SET)           = 0
read(21, "<?xml version=\"1.0\" encoding=\"UTF"..., 4096) = 4096
read(21, "okument</Name>\n  <Name xml:lang=\""..., 4096) = 1152
read(21, ""..., 4096)                   = 0
read(21, ""..., 4096)                   = 0
close(21)                               = 0
munmap(0xb8061000, 4096)                = 0
stat64("/usr/share/libgnomeprint/2.18.6/models/GNOME-PDF-WRITER.xml", {st_mode=S_IFREG|0644, st_size=1792, ...}) = 0
stat64("/usr/share/libgnomeprint/2.18.6/models/GNOME-PDF-WRITER.xml", {st_mode=S_IFREG|0644, st_size=1792, ...}) = 0
stat64("/usr/share/libgnomeprint/2.18.6/models/GNOME-PDF-WRITER.xml", {st_mode=S_IFREG|0644, st_size=1792, ...}) = 0
stat64("/usr/share/libgnomeprint/2.18.6/models/GNOME-PDF-WRITER.xml", {st_mode=S_IFREG|0644, st_size=1792, ...}) = 0
open("/usr/share/libgnomeprint/2.18.6/models/GNOME-PDF-WRITER.xml", O_RDONLY) = 21
fstat64(21, {st_mode=S_IFREG|0644, st_size=1792, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb8061000
read(21, "<?xml version=\"1.0\" encoding=\"UTF"..., 16384) = 1792
read(21, ""..., 12288)                  = 0
_llseek(21, 0, [1792], SEEK_CUR)        = 0
_llseek(21, 0, [0], SEEK_SET)           = 0
read(21, "<?xml version=\"1.0\" encoding=\"UTF"..., 4096) = 1792
read(21, ""..., 4096)                   = 0
read(21, ""..., 4096)                   = 0
close(21)                               = 0
munmap(0xb8061000, 4096)                = 0
getdents64(20, /* 0 entries */, 32768)  = 0
close(20)                               = 0
open("/usr/lib/libgnomeprint/2.18.6/modules", O_RDONLY|O_NONBLOCK|O_LARGEFILE|O_DIRECTORY|O_CLOEXEC) = 20
getdents64(20, /* 6 entries */, 32768)  = 192
stat64("/usr/lib/libgnomeprint/2.18.6/modules/libgnomeprintcups.so", {st_mode=S_IFREG|0755, st_size=21112, ...}) = 0
open("/usr/lib/libgnomeprint/2.18.6/modules/libgnomeprintcups.so", O_RDONLY) = 21
read(21, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\320\31\0\0004\0\0\0h"..., 512) = 512
fstat64(21, {st_mode=S_IFREG|0755, st_size=21112, ...}) = 0
mmap2(NULL, 23932, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 21, 0) = 0x3071000
mmap2(0x3076000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 21, 0x4) = 0x3076000
close(21)                               = 0
open("/etc/ld.so.cache", O_RDONLY)      = 21
fstat64(21, {st_mode=S_IFREG|0644, st_size=66949, ...}) = 0
mmap2(NULL, 66949, PROT_READ, MAP_PRIVATE, 21, 0) = 0xb2468000
close(21)                               = 0
open("/usr/lib/libgnomecups-1.0.so.1", O_RDONLY) = 21
read(21, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\220:\0\0004\0\0\0<"..., 512) = 512
fstat64(21, {st_mode=S_IFREG|0755, st_size=60020, ...}) = 0
mmap2(NULL, 58832, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 21, 0) = 0x4d2a000
mmap2(0x4d38000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 21, 0xe) = 0x4d38000
close(21)                               = 0
open("/usr/lib/libcups.so.2", O_RDONLY) = 21
read(21, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0000\217\0\0004\0\0\0\344"..., 512) = 512
fstat64(21, {st_mode=S_IFREG|0555, st_size=306460, ...}) = 0
mmap2(NULL, 305348, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 21, 0) = 0x7a3c000
mmap2(0x7a84000, 12288, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 21, 0x48) = 0x7a84000
close(21)                               = 0
open("/lib/libcrypt.so.1", O_RDONLY)    = 21
read(21, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\340\10\0\0004\0\0\0\30"..., 512) = 512
fstat64(21, {st_mode=S_IFREG|0755, st_size=38976, ...}) = 0
mmap2(NULL, 196956, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 21, 0) = 0x348f000
mmap2(0x3497000, 8192, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 21, 0x7) = 0x3497000
mmap2(0x3499000, 155996, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x3499000
close(21)                               = 0
open("/lib/libfreebl3.so", O_RDONLY)    = 21
read(21, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\20\31\0\0004\0\0\0\30"..., 512) = 512
fstat64(21, {st_mode=S_IFREG|0755, st_size=273784, ...}) = 0
mmap2(NULL, 293964, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 21, 0) = 0x24dd000
mmap2(0x2520000, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 21, 0x42) = 0x2520000
mmap2(0x2521000, 15436, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0x2521000
close(21)                               = 0
mprotect(0x3497000, 4096, PROT_READ)    = 0
munmap(0xb2468000, 66949)               = 0
socket(PF_FILE, SOCK_STREAM, 0)         = 21
connect(21, {sa_family=AF_FILE, path="/var/run/dbus/system_bus_socket"...}, 33) = 0
fcntl64(21, F_GETFL)                    = 0x2 (flags O_RDWR)
fcntl64(21, F_SETFL, O_RDWR|O_NONBLOCK) = 0
fcntl64(21, F_GETFD)                    = 0
fcntl64(21, F_SETFD, FD_CLOEXEC)        = 0
geteuid32()                             = 500
rt_sigaction(SIGPIPE, {0x1, [PIPE], SA_RESTART}, {0x1, [PIPE], SA_RESTART}, 8) = 0
poll([{fd=21, events=POLLOUT}], 1, 0)   = 1 ([{fd=21, revents=POLLOUT}])
write(21, "\0"..., 1)                   = 1
write(21, "AUTH EXTERNAL 353030\r\n"..., 22) = 22
poll([{fd=21, events=POLLIN}], 1, -1)   = 1 ([{fd=21, revents=POLLIN}])
read(21, "OK cb5d07e123755912dd831e994ab1b0"..., 2048) = 37
poll([{fd=21, events=POLLOUT}], 1, -1)  = 1 ([{fd=21, revents=POLLOUT}])
write(21, "BEGIN\r\n"..., 7)            = 7
poll([{fd=21, events=POLLIN|POLLOUT}], 1, -1) = 1 ([{fd=21, revents=POLLOUT}])
writev(21, [{"l\1\0\1\0\0\0\0\1\0\0\0n\0\0\0\1\1o\0\25\0\0\0/org/free"..., 128}, {""..., 0}], 2) = 128
gettimeofday({1253164986, 510331}, NULL) = 0
poll([{fd=21, events=POLLIN}], 1, 25000) = 1 ([{fd=21, revents=POLLIN}])
read(21, "l\2\1\1\n\0\0\0\1\0\0\0=\0\0\0\6\1s\0\5\0\0\0:1.77\0\0\0\5"..., 2048) = 260
read(21, 0x9a601c8, 2048)               = -1 EAGAIN (Resource temporarily unavailable)
writev(21, [{"l\1\1\0018\0\0\0\2\0\0\0\177\0\0\0\1\1o\0\25\0\0\0/org/free"..., 144}, {"3\0\0\0type='signal',interface='com."..., 56}], 2) = 200
fstat64(21, {st_mode=S_IFSOCK|0777, st_size=0, ...}) = 0
fcntl64(21, F_GETFL)                    = 0x802 (flags O_RDWR|O_NONBLOCK)
futex(0x7a867e8, FUTEX_WAKE_PRIVATE, 2147483647) = 0
gettimeofday({1253164986, 511920}, NULL) = 0
gettimeofday({1253164986, 511980}, NULL) = 0
open("/etc/cups/lpoptions", O_RDONLY)   = 22
fstat64(22, {st_mode=S_IFREG|0644, st_size=0, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb8061000
read(22, ""..., 4096)                   = 0
close(22)                               = 0
munmap(0xb8061000, 4096)                = 0
open("/home/adam/.lpoptions", O_RDONLY) = -1 ENOENT (No such file or directory)
open("/home/adam/.cups/lpoptions", O_RDONLY) = -1 ENOENT (No such file or directory)
access("/usr/share/locale/en_US/cups_en_US.po", F_OK) = -1 ENOENT (No such file or directory)
access("/usr/share/locale/en/cups_en.po", F_OK) = -1 ENOENT (No such file or directory)
open("/usr/share/locale/C/cups_C.po", O_RDONLY|O_LARGEFILE) = -1 ENOENT (No such file or directory)
open("/home/adam/.cups/client.conf", O_RDONLY|O_LARGEFILE) = -1 ENOENT (No such file or directory)
open("/home/adam/.cupsrc", O_RDONLY|O_LARGEFILE) = -1 ENOENT (No such file or directory)
open("/etc/cups/client.conf", O_RDONLY|O_LARGEFILE) = 22
fcntl64(22, F_GETFD)                    = 0
fcntl64(22, F_SETFD, FD_CLOEXEC)        = 0
read(22, ""..., 4096)                   = 0
close(22)                               = 0
stat64("/var/run/cups/cups.sock", {st_mode=S_IFSOCK|0777, st_size=0, ...}) = 0
socket(PF_FILE, 0x80801 /* SOCK_??? */, 0) = 22
connect(22, {sa_family=AF_FILE, path="/var/run/nscd/socket"...}, 110) = -1 ENOENT (No such file or directory)
close(22)                               = 0
socket(PF_FILE, 0x80801 /* SOCK_??? */, 0) = 22
connect(22, {sa_family=AF_FILE, path="/var/run/nscd/socket"...}, 110) = -1 ENOENT (No such file or directory)
close(22)                               = 0
open("/etc/services", O_RDONLY|O_CLOEXEC) = 22
fstat64(22, {st_mode=S_IFREG|0644, st_size=630983, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb8061000
read(22, "# /etc/services:\n# $Id: services,"..., 4096) = 4096
read(22, "r          79/tcp\nfinger         "..., 4096) = 4096
read(22, "                         # Quick "..., 4096) = 4096
close(22)                               = 0
munmap(0xb8061000, 4096)                = 0
sched_get_priority_min(SCHED_OTHER)     = 0
sched_get_priority_max(SCHED_OTHER)     = 0
clone(child_stack=0xb22733d4, flags=CLONE_VM|CLONE_FS|CLONE_FILES|CLONE_SIGHAND|CLONE_THREAD|CLONE_SYSVSEM|CLONE_SETTLS|CLONE_PARENT_SETTID|CLONE_CHILD_CLEARTID, parent_tidptr=0xb2273bd8, {entry_number:6, base_addr:0xb2273b70, limit:1048575, seg_32bit:1, contents:0, read_exec_only:0, limit_in_pages:1, seg_not_present:0, useable:1}, child_tidptr=0xb2273bd8) = 3504
futex(0xf18930, FUTEX_WAKE_PRIVATE, 1)  = 1
futex(0x9a5ffe0, FUTEX_WAKE_PRIVATE, 1) = 1

** (abiword:3488): WARNING **: IPP request failed with status 1030
futex(0x4d38590, FUTEX_WAKE_PRIVATE, 1) = 1
futex(0xb1749504, FUTEX_WAKE_OP_PRIVATE, 1, 1, 0xb1749500, {FUTEX_OP_SET, 0, FUTEX_OP_CMP_GT, 1}) = 1
futex(0x9a5ffe0, FUTEX_WAKE_PRIVATE, 1) = 1

** (abiword:3488): WARNING **: IPP request failed with status 1030
futex(0x4d38590, FUTEX_WAKE_PRIVATE, 1) = 1
stat64("/usr/lib/libgnomeprint/2.18.6/modules/libgnomeprintlpd.so", {st_mode=S_IFREG|0755, st_size=7600, ...}) = 0
--- SIGSEGV (Segmentation fault) @ 0 (0) ---
rt_sigaction(SIGSEGV, {0x5cee890, [SEGV], SA_RESTART}, {SIG_DFL, ~[ABRT KILL STOP RTMIN RT_1], SA_NODEFER|SA_RESETHAND}, 8) = 0
readlink("/home/adam/schoolShit/cs566_databases/assignment1/assignment1.odt.SAVED", 0x9a5fb20, 256) = -1 ENOENT (No such file or directory)
stat64("/home/adam/schoolShit/cs566_databases/assignment1/assignment1.odt.SAVED", 0xbfc6d720) = -1 ENOENT (No such file or directory)
getuid32()                              = 500
stat64("/home/adam/schoolShit/cs566_databases/assignment1", {st_mode=S_IFDIR|0775, st_size=4096, ...}) = 0
getgid32()                              = 500
umask(077)                              = 02
gettimeofday({1253164986, 526975}, NULL) = 0
open("/home/adam/schoolShit/cs566_databases/assignment1/.gsf-save-EB8O0U", O_RDWR|O_CREAT|O_EXCL|O_LARGEFILE, 0600) = 24
umask(02)                               = 077
fcntl64(24, F_GETFL)                    = 0x8002 (flags O_RDWR|O_LARGEFILE)
fstat64(24, {st_mode=S_IFREG|0600, st_size=0, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb8061000
_llseek(24, 0, [0], SEEK_CUR)           = 0
time(NULL)                              = 1253164986
write(24, "<?xml version=\"1.0\" encoding=\"UTF"..., 4096) = 4096
write(24, " font-family:Times New Roman; col"..., 4096) = 4096
write(24, "gn:left; text-indent:0in; dom-dir"..., 4096) = 4096
write(24, "/c></p>\n<p style=\"Normal\" xid=\"68"..., 4096) = 4096
write(24, ">\n<p style=\"Normal\" xid=\"111\" pro"..., 4096) = 4096
write(24, "gn:left; dom-dir:ltr\"><c props=\"f"..., 4096) = 4096
write(24, "QkHY8spSIv\nNollKSd5sUkAALYbMWKEUq"..., 4096) = 4096
write(24, "GD\nz1zTV11dnZiYGBwcrFAoxo0bd+DAAU"..., 4096) = 4096
write(24, "MuXL/f29h4/fly/fqPUbini2z75tpcHER"..., 4096) = 4096
write(24, "VDIZLKcnBxvtwLADMQjAFvpJySEJH7SXz"..., 4096) = 4096
write(24, "paVl2LBhOTk59fX1DQ0N77//vl6vV6Jua"..., 4096) = 4096
write(24, "xBVeTVQSEUuLOwfV1lmFFQvXUBKu\n0xV8"..., 4096) = 4096
write(24, "lZWVQoj//d//lSTp7Nmz\n//jHP/yZXT7M"..., 4096) = 4096
write(24, "0RaL5c0335w0\nadK5c+ecVqbNMVqDFwCE"..., 4096) = 4096
write(24, "qlWr\nPB/q8uXL+/fvlz9v2LChW7duga2V"..., 4096) = 4096
write(24, "mkyksLCwwMLChoWHt2rXc\nZeJRHgAgAzb"..., 4096) = 4096
write(24, "uxFlncdbKGezB\nV4qVd55CNhPAQyI/lIm"..., 4096) = 4096
write(24, "cTYxZ\nk0FYhlAMAICBLksAb7O4sZaHpUm"..., 4096) = 4096
write(24, "tBLVpS9i5cuHD27FnrJ2sxzxYjhNTW1qa"..., 4096) = 4096
write(24, "5//fVnn302ICBArVbn5uYmJye/9tpr5G5"..., 4096) = 4096
write(24, "=\"image/png\" base64=\"yes\">\niVBORw"..., 4096) = 4096
write(24, "GL8GNHHElSlPcyby4n\niXRNgBCir6+vtb"..., 4096) = 4096
write(24, "FeAqn2ntsE\nJkt7K4mFKidDtfaqWRL8fz"..., 4096) = 4096
write(24, "27\nn+RlE0EAmZFFrMZMjTxk658k785jIV"..., 4096) = 4096
write(24, "G/TlJaW3nPPPevXr79+/XpnZ+fGjRurq6"..., 4096) = 4096
write(24, "w0NDcbCZcuWnT9/vrm52ev1dnd3r1692r"..., 4096) = 4096
write(24, "oijLly9X29l9+/bl5OSoN+6YOXPm2bNnU"..., 4096) = 4096
write(24, "bfRRb4MvZ6ODlMVpr7X9lsMWxLkLyMy6H"..., 4096) = 4096
write(24, "mb4CDeBw2Hkfl4qEJ5fNKpLeoVnDcb0px"..., 4096) = 4096
write(24, "iG5mwGBpZuU9e/ZMnDhRUZSRI0fOnj27u"..., 4096) = 4096
write(24, "UqGZ0RcWEic3p9ayVVVVNTU1NTY2+ny+\n"..., 4096) = 4096
write(24, "Lw892I0aNerFF1+srKxUFGX7\n9u1jx47d"..., 4096) = 4096
write(24, "7GHDhrW0tPT09BQV\nFYXG5RdeeOGGG24o"..., 4096) = 4096
write(24, "t\nbW2EEJ7nvV7vwYMH1dcoOn78+JkzZzw"..., 4096) = 4096
write(24, "ohZPny5fv379e4XjCClhApjiFxMn/+859"..., 4096) = 4096
write(24, "aHh+12u91uT01NFedXnB7tSiOX6MMMFIi"..., 4096) = 4096
write(24, "2rthogORKddrC4rBWBwwTrRqD4jqrDM+N"..., 4096) = 4096
write(24, "+6XlKaVtlFB4aZI0Z/9Vr40QdaioTFnvR"..., 4096) = 4096
write(24, "AAAAAAZEB0AAABABkQHAAAAkAHR\nAQAAA"..., 4096) = 4096
write(24, "WU/4BSyrMF40AGrg/1VZEYIVBUeR0o8lw"..., 4096) = 4096
write(24, "88/lx9aey/Hjx8tT5syZIz+Ij49/9tlnx"..., 4096) = 4096
write(24, "JACBEuo91y9hsAiBxirSBJ/3R8dB5Js3\n"..., 4096) = 4096
write(24, "fX39tGnTbF/6zne+4/nbZRkZ\nGbZPDQZD"..., 2625) = 2625
close(24)                               = 0
munmap(0xb8061000, 4096)                = 0
rename("/home/adam/schoolShit/cs566_databases/assignment1/.gsf-save-EB8O0U", "/home/adam/schoolShit/cs566_databases/assignment1/assignment1.odt.SAVED") = 0
chmod("/home/adam/schoolShit/cs566_databases/assignment1/assignment1.odt.SAVED", 0664) = 0
chown32("/home/adam/schoolShit/cs566_databases/assignment1/assignment1.odt.SAVED", 500, 500) = 0
chmod("/home/adam/schoolShit/cs566_databases/assignment1/assignment1.odt.SAVED", 0664) = 0
rt_sigprocmask(SIG_UNBLOCK, [ABRT], NULL, 8) = 0
tgkill(3488, 3488, SIGABRT)             = 0
--- SIGABRT (Aborted) @ 0 (0) ---
+++ killed by SIGABRT +++

Comment 2 Bug Zapper 2010-04-28 10:25:28 UTC
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Bug Zapper 2010-06-28 14:41:55 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.